# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/pod2pdf.pm) perl(BerkeleyDB.pm) perl(CPAN.pm) perl(Capture/Tiny.pm) perl(Class/Load.pm) perl(DateTime.pm) perl(DateTime/Format/HTTP.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Copy.pm) perl(HTTP/Negotiate.pm) perl(IO/All.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(MIME/Base32.pm) perl(Math/BigInt.pm) perl(Module/Build.pm) perl(Module/Install.pm) perl(Moose.pm) perl(MooseX/Params/Validate.pm) perl(MooseX/Types.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Path/Class.pm) perl(Plack.pm) perl(Pod/Markdown.pm) perl(Role/MimeInfo.pm) perl(String/RewritePrefix.pm) perl(Test/More.pm) perl(URI.pm) perl(URI/QueryParam.pm) perl(URI/ni.pm) perl(XML/LibXML/LazyBuilder.pm) perl(YAML/Tiny.pm) perl(namespace/autoclean.pm) perl(Digest/SHA.pm)
# END SourceDeps(oneline)
%define module_name Store-Digest
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: Store opaque data objects keyed on their cryptographic digests
Group: Development/Perl
License: apache
URL: https://github.com/doriantaylor/p5-store-digest

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DO/DORIAN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use Store::Digest;

    # initialize the store

    my $store = Store::Digest->new(
        driver  => 'FileSystem',
        # all other options pass through to the driver
        dir     => '/var/db/store-digest',
    );

    # add an object

    my $obj = $store->add(
        content  => $fh,
        language => 'en',
        mtime    => DateTime->now,
    );

    # if you want to get the object back

    my $str = 'ni:///sha-256;IcnxQtEMlihv1wFHTMjkMprLO-9-ZXZD2lcsQLmQ1xA';
    my $uri = URI->new($str);
    my $obj = $store->get($uri);

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/S*

%changelog
* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- initial import by package builder

